summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Schleifer <js@heap.zone>2018-11-06 23:21:50 +0100
committerJonathan Schleifer <js@heap.zone>2018-11-06 23:26:15 +0100
commitcfcd85d286b40c937929c36eeb53baebbf2fbb89 (patch)
tree888514145e3a8344dd55fff071d5a3ea06b4e887
parent5f850ab7f8cf4d1cbc700b848ba2141e804fe25a (diff)
Readd autogen.sh
Some old autoconf versions do not work properly when using autoreconf, but work fine when calling aclocal, autoconf and autoheader manually.
-rwxr-xr-xautogen.sh10
-rw-r--r--build-aux/m4/buildsys.m4 (renamed from m4/buildsys.m4)0
-rw-r--r--configure.ac2
3 files changed, 11 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..218fb7c
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+# Set a version for OpenBSD
+: ${AUTOCONF_VERSION:=2.69}
+: ${AUTOMAKE_VERSION:=1.16}
+export AUTOCONF_VERSION AUTOMAKE_VERSION
+
+aclocal -I build-aux/m4
+autoconf
diff --git a/m4/buildsys.m4 b/build-aux/m4/buildsys.m4
index 71f33ec..71f33ec 100644
--- a/m4/buildsys.m4
+++ b/build-aux/m4/buildsys.m4
diff --git a/configure.ac b/configure.ac
index 7d9a048..935aa46 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2,7 +2,7 @@ AC_INIT(ObjIRC, 0.1, js@heap.zone)
BUILDSYS_INIT
AC_CONFIG_SRCDIR(src)
-AC_CONFIG_MACRO_DIR(m4)
+AC_CONFIG_MACRO_DIR(build-aux/m4)
AC_CONFIG_AUX_DIR(build-aux)
AC_CHECK_TOOL(OBJFW_CONFIG, objfw-config)